#########################################
# server configuration
#########################################
server.port=82

#########################################
# spring allow-circular-references
#########################################
spring.main.allow-circular-references=true

#########################################
# spring profiles configuration
#########################################
spring.profiles.active=local
#spring.profiles.active=test
#spring.profiles.active=prod

#########################################
# multipart configuration
#########################################
spring.servlet.multipart.max-request-size=100MB
spring.servlet.multipart.max-file-size=100MB

#########################################
# datasource configuration
#########################################

# druid monitor configuration
spring.datasource.druid.stat-view-servlet.enabled=true
spring.datasource.druid.stat-view-servlet.login-username=admin
spring.datasource.druid.stat-view-servlet.login-password=123456

# druid global configuration
spring.datasource.dynamic.public-key=MFwwDQYJKoZIhvcNAQEBBQADSwAwSAJBAMWiTVtdXFVrgFHDDKELZM0SywkWY3KjugN90eY5Sogon1j8Y0ClPF7nx3FuE7pAeBKiv7ChIS0vvx/59WUpKmUCAwEAAQ==
spring.datasource.dynamic.druid.initial-size=5
spring.datasource.dynamic.druid.max-active=20
spring.datasource.dynamic.druid.min-idle=5
spring.datasource.dynamic.druid.max-wait=60000
spring.datasource.dynamic.druid.pool-prepared-statements=true
spring.datasource.dynamic.druid.max-pool-prepared-statement-per-connection-size=20
spring.datasource.dynamic.druid.validation-query-timeout=2000
spring.datasource.dynamic.druid.test-on-borrow=false
spring.datasource.dynamic.druid.test-on-return=false
spring.datasource.dynamic.druid.test-while-idle=true
spring.datasource.dynamic.druid.time-between-eviction-runs-millis=60000
spring.datasource.dynamic.druid.min-evictable-idle-time-millis=300000
spring.datasource.dynamic.druid.filters=stat
spring.datasource.dynamic.druid.break-after-acquire-failure=false

#########################################
# jackson configuration
#########################################
spring.jackson.time-zone=GMT+8
spring.jackson.date-format=yyyy-MM-dd HH:mm:ss
spring.jackson.locale=zh_CN
spring.jackson.serialization.write-dates-as-timestamps=false


#########################################
# easy-trans configuration
#########################################
easy-trans.is-enable-redis=true
easy-trans.is-enable-global=true
easy-trans.is-enable-tile=true
easy-trans.is-enable-cloud=false

#########################################
# sa-token configuration
#########################################
sa-token.token-name=token
sa-token.timeout=2592000
sa-token.active-timeout=-1
sa-token.is-concurrent=true
sa-token.is-share=false
sa-token.max-login-count=-1
sa-token.token-style=random-32
sa-token.is-log=false
sa-token.is-print=false

# sa-token alone-redis configuration
sa-token.alone-redis.database=2
sa-token.alone-redis.host=${spring.data.redis.host}
sa-token.alone-redis.port=${spring.data.redis.port}
sa-token.alone-redis.password=${spring.data.redis.password}
sa-token.alone-redis.timeout=${spring.data.redis.timeout}
sa-token.alone-redis.lettuce.pool.max-active=${spring.data.redis.lettuce.pool.max-active}
sa-token.alone-redis.lettuce.pool.max-wait=${spring.data.redis.lettuce.pool.max-wait}
sa-token.alone-redis.lettuce.pool.max-idle=${spring.data.redis.lettuce.pool.max-idle}
sa-token.alone-redis.lettuce.pool.min-idle=${spring.data.redis.lettuce.pool.min-idle}

#########################################
# knife4j configuration
#########################################
knife4j.enable=true
knife4j.production=false
knife4j.basic.enable=true
knife4j.basic.username=admin
knife4j.basic.password=123456
knife4j.setting.enableOpenApi=false
knife4j.setting.enableSwaggerModels=false
knife4j.setting.enableFooter=false
knife4j.setting.enableFooterCustom=true
knife4j.setting.footerCustomContent=Apache License 2.0 | Copyright 2020-2024[SNOWY](https://www.xiaonuo.vip)
springdoc.default-flat-param-object=true

# knife4j doc groups
springdoc.group-configs[0].group=SNOWY-PLUGIN-AUTH
springdoc.group-configs[0].display-name=${springdoc.group-configs[0].group}
springdoc.group-configs[0].packages-to-scan=vip.xiaonuo.auth
springdoc.group-configs[1].group=SNOWY-PLUGIN-BIZ
springdoc.group-configs[1].display-name=${springdoc.group-configs[1].group}
springdoc.group-configs[1].packages-to-scan=vip.xiaonuo.biz
springdoc.group-configs[2].group=SNOWY-PLUGIN-CLIENT
springdoc.group-configs[2].display-name=${springdoc.group-configs[2].group}
springdoc.group-configs[2].packages-to-scan=vip.xiaonuo.client
springdoc.group-configs[3].group=SNOWY-PLUGIN-DEV
springdoc.group-configs[3].display-name=${springdoc.group-configs[3].group}
springdoc.group-configs[3].packages-to-scan=vip.xiaonuo.dev
springdoc.group-configs[4].group=SNOWY-PLUGIN-GEN
springdoc.group-configs[4].display-name=${springdoc.group-configs[4].group}
springdoc.group-configs[4].packages-to-scan=vip.xiaonuo.gen
springdoc.group-configs[5].group=SNOWY-PLUGIN-MOBILE
springdoc.group-configs[5].display-name=${springdoc.group-configs[5].group}
springdoc.group-configs[5].packages-to-scan=vip.xiaonuo.mobile
springdoc.group-configs[6].group=SNOWY-PLUGIN-SYS
springdoc.group-configs[6].display-name=${springdoc.group-configs[6].group}
springdoc.group-configs[6].packages-to-scan=vip.xiaonuo.sys

#########################################
# snowy configuration
#########################################

# common configuration
snowy.config.common.front-url=http://localhost:81
snowy.config.common.backend-url=http://localhost:82
